Package: org.codehaus.groovy.util

## [Java] Class Segment<K, V>

- org.codehaus.groovy.util.ManagedConcurrentMap.Segment

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected ReferenceBundle` | `bundle` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ManagedConcurrentMap.Segment (ReferenceBundle bundle, int cap)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected org.codehaus.groovy.util.AbstractConcurrentMap.Entry<K, V>` | `createEntry(K key, int hash, V value)`

- - ### Field Detail

    - #### protected final ReferenceBundle bundle

  - ### Constructor Detail

    - #### public ManagedConcurrentMap.Segment(ReferenceBundle bundle, int cap)

  - ### Method Detail

    - #### protected org.codehaus.groovy.util.AbstractConcurrentMap.Entry<K, V> createEntry(K key, int hash, V value)